### Abstract ###

Name: gnome-doc-utils
Version: 0.12.2
Release: 1%{?dist}
License: GPLv2+ and LGPLv2+ and GFDL
Group: Development/Tools
Summary: Documentation utilities for the GNOME project
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Source: http://download.gnome.org/sources/gnome-doc-utils/0.12/%{name}-%{version}.tar.bz2

BuildArch: noarch

### Patches ###

### Dependencies ###

Requires: libxml2 >= 2.6.12
Requires: libxslt >= 1.1.8
Requires: libxml2-python
# for /usr/share/aclocal
Requires: automake
# for /usr/share/gnome/help
#Requires: yelp
# Currently creates a chicken/egg problem; gnome-doc-utils is needed in
# the build-chain for yelp, thus making it nearly impossible to ever
# update yelp for say newer Firefox.
Requires: gnome-doc-utils-stylesheets = %{version}-%{release}

### Build Dependencies ###

BuildRequires: libxml2-devel >= 2.6.12
BuildRequires: libxslt-devel >= 1.1.8

BuildRequires: perl(XML::Parser)
BuildRequires: gettext
BuildRequires: scrollkeeper

%description
gnome-doc-utils is a collection of documentation utilities for the GNOME
project. Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.

# note that this is an "inverse dependency" subpackage
%package stylesheets
Summary: XSL stylesheets used by gnome-doc-utils
License: LGPLv2+
Group: Development/Tools
# for /usr/share/pkgconfig
Requires: pkgconfig  
# for /usr/share/xml
Requires: xml-common

%description stylesheets
The gnome-doc-utils-stylesheets package contains XSL
stylesheets which are used by the tools in gnome-doc-utils. 

%prep
%setup -q

%build
%configure --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig/
mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*.pc $RPM_BUILD_ROOT%{_datadir}/pkgconfig

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README NEWS COPYING COPYING.GPL COPYING.LGPL
%{_bindir}/*
%{_datadir}/aclocal/gnome-doc-utils.m4
%{_datadir}/gnome/help/gnome-doc-make
%{_datadir}/gnome/help/gnome-doc-xslt
%{_datadir}/omf/gnome-doc-make
%{_datadir}/omf/gnome-doc-xslt
%{_datadir}/xml2po
%{_datadir}/gnome-doc-utils
%doc %{_mandir}/man1/xml2po.1.gz

%files stylesheets
%defattr(-,root,root,-)
%{_datadir}/pkgconfig/*
%{_datadir}/xml/gnome

%changelog
* Mon Mar 10 2008 Matthias Clasen <mclasen@redhat.com> - 0.12.2-1
- Update to 0.12.2

* Mon Feb 18 2008 Matthew Barnes <mbarnes@redhat.com> - 0.12.1-2
- Package review corrections (RH bug #225816).

* Tue Feb 12 2008 Matthew Barnes <mbarnes@redhat.com> - 0.12.1-1
- Update to 0.12.1

* Mon Sep 17 2007 Matthias Clasen  <mclasen@redhat.com> - 0.12.0-1
- Update to 0.12.0

* Mon Sep  3 2007 Matthias Clasen  <mclasen@redhat.com> - 0.11.2-1
- Update to 0.11.2

* Thu Aug  2 2007 Matthias Clasen  <mclasen@redhat.com> - 0.11.1-2
- Update the license field

* Mon Jul 30 2007 Matthias Clasen  <mclasen@redhat.com> - 0.11.1-1
- Update to 0.11.1

* Mon Jul 23 2007 Matthias Clasen  <mclasen@redhat.com> - 0.10.3-4
- Split out stylesheets as subpackage to avoid pulling automake
  in the live CD

* Fri Jul 20 2007 Jesse Keating <jkeating@redhat.com> - 0.10.3-3
- Don't require yelp for now

* Sun Jun 17 2007 Matthias Clasen <mclasen@redhat.com> - 0.10.3-2
- Fix up Requires and BuildRequires

* Mon Apr 09 2007 Matthew Barnes <mbarnes@redhat.com> - 0.10.3-1.fc7
- Update to 0.10.3

* Mon Mar 12 2007 Matthew Barnes <mbarnes@redhat.com> - 0.10.1-1.fc7
- Update to 0.10.1

* Wed Jan 31 2007 Matthias Clasen <mclasen@redhat.com> - 0.9.2-1
- Update to 0.9.2

* Sat Dec 09 2006 Matthew Barnes <mbarnes@redhat.com> - 0.8.0-3
- Add patch for GNOME bug #355521 (look for local m4 files).

* Fri Sep  8 2006 Matthias Clasen <mclasen@redhat.com> - 0.8.0-2
- Fix some directory ownership issues  (#205677)

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 0.8.0-1.fc6
- Update to 0.8.0

* Sat Aug 12 2006 Matthias Clasen <mclasen@redhat.com> - 0.7.2-1.fc6
- Update to 0.7.2

* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Tue Jun  6 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.0-3
- Add a BuildRequires for perl-XML-Parser

* Tue Apr 11 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.0-2
- Add a missing Requires

* Sun Mar 12 2006 Ray Strode <rstrode@redhat.com> - 0.6.0-1
- Update to 0.6.0

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.7-1
- Update to 0.5.7

* Mon Feb 20 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.6-1
- Update to 0.5.6

* Sun Feb 12 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.5-1
- Update to 0.5.5

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.4-1
- Update to 0.5.4

* Tue Jan 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Wed Dec 20 2005 Matthias Clasen <mclasen@redhat.com> - 0.5.2-1
- Update to 0.5.2

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com> - 0.5.1-1
- Update to 0.5.1

* Tue Oct 25 2005 Matthias Clasen <mclasen@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Thu Sep 29 2005 Matthias Clasen <mclasen@redhat.com> - 0.4.2-1
- Update to 0.4.2

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Wed Jul 27 2005 Christopher Aillon <caillon@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Wed Jul 13 2005 Matthias Clasen <mclasen@redhat.com> - 0.3.1-1
- Newer upstream version

* Tue Apr 26 2005 Ray Strode <rstrode@redhat.com> - 0.2.0-2
- Add patch that might fix yelp links (bug 146862)

* Fri Apr 8 2005 Ray Strode <rstrode@redhat.com> - 0.2.0-1
- Update to upstream version 0.2.0

* Thu Mar 17 2005 Ray Strode <rstrode@redhat.com> - 0.1.3-1
- Update to upstream version 0.1.3

* Wed Feb  2 2005 Nalin Dahyabhai <nalin@redhat.com> - 0.1.2-2
- remove explicit libxml dependency (should have been libxml2)
- add libxml2-devel and libxslt-devel as buildprereqs

* Fri Jan 28 2005 Matthias Clasen <mclasen@redhat.com> - 0.1.2-1
- Initial build.
